System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Configuration.IConfigurationSectionHandler

The configuration system completely parses configuration files to collect configuration information and throws exceptions when it encounters configuration sections that do not have a corresponding entry in the configSections section.

For those sections not handled by the types, the new wrapper type is provided. This is to prevent configuration-file parsing exceptions.

For legacy purposes the is also provided.

Provides a legacy section-handler definition for configuration sections that are not handled by the types.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` To be added

  Creates a new configuration handler and adds the specified configuration object to the section-handler collection.

  The created configuration handler object.

  The configuration settings in a corresponding parent configuration section. The virtual path for which the configuration section handler computes configuration values. Normally this parameter is reserved and is null. An that contains the configuration information to be handled. Provides direct access to the XML contents of the configuration section.